Subject: Re: [PATCH 1/4] [POWERPC] 85xx: add board support for the TQM8548 modules

From: Wolfgang Grandegger <[email-masked]>
Date: Thu, 05 Jun 2008 08:43:40 +0200

Kumar Gala wrote:
> 
> On Jun 4, 2008, at 4:43 AM, Wolfgang Grandegger wrote:
> 
>> David Gibson wrote:
>>> On Tue, Jun 03, 2008 at 09:33:12AM -0500, Kumar Gala wrote:
>>>> On Jun 3, 2008, at 5:08 AM, Wolfgang Grandegger wrote:
>>>>> Kumar Gala wrote:
>>>>>> On Jun 1, 2008, at 9:03 PM, David Gibson wrote:
>>>>>>> On Fri, May 30, 2008 at 08:49:45AM +0200, Wolfgang Grandegger wrote:
>>> [snip]
>>>>>>> You have a whole lot of 'cell-index' properties through both these
>>>>>>> trees, and they all look wrong.  cell-index is a hack, which
>>>>>>> should be
>>>>>>> avoided wherever practical - it should only be used when the index
>>>>>>> is
>>>>>>> used to offset into some global register block, never simply to
>>>>>>> differentiate (use reg for that) or name the devices (use aliases
>>>>>>> for
>>>>>>> that).
>>>>>> this is why FSL device tree's have cell-index.  We have global
>>>>>> control
>>>>>> registers that need to know such things.
>>>>> Should I remove them or not? OF is still a mystery for me :-(.
>>>> Don't remove them.
>>>
>>> Yes, they're ok, given this usage.
>>
>> I'm puzzled. Could someone point me to some real code where cell-index
>> is used as a pointer into some global data. Sorry for my ignorance.
> 
> http://ozlabs.org/pipermail/linuxppc-dev/2008-June/057254.html

Yep, I saw that it's used for I2C (and SPI). But "cell-index" is also
defined for network, serial and PCI nodes, which are also assigned via
aliases.

Wolfgang.